#include <iostream>
#include <chrono>

int fib( int n ) {
    return n < 2 ? 1 : fib( n - 1 ) + fib( n - 2 );
}

int main() {
    auto start = std::chrono::steady_clock::now();
    std::cout << "fib(42) = " << fib( 42 );
    auto end = std::chrono::steady_clock::now();
    std::chrono::duration< double > secs = end - start;
    std::cout << ", elapsed: " << secs.count() << " s\n";
}
