#include <iostream>
#include <iterator>
#include <string>
#include <regex>

int main() {
    std::string s = "You want weapons? We’re in a library! "
        "Books! The best weapons in the world!";
    std::regex word( "(\\S+)" );
    auto beg =
        std::sregex_iterator( s.begin(), s.end(), word );
    auto end = std::sregex_iterator();
    std::cout << "There are " << std::distance( beg, end )
              << " words:\n";
    for ( auto w = beg; w != end; w++ ) {
        std::cout << "\t" << w->str() << "\n";
    }
}
