#include <iostream>
#include <string>
#include <regex>
#include <vector>

int main() {
    std::string text = "apples:bannas:oranges";
    std::vector< std::string > out;
    std::regex sep(":");
    std::sregex_token_iterator it( text.begin(), text.end(), sep, -1 );
    std::copy( it, std::sregex_token_iterator(), std::back_inserter( out ) );
    for ( const std::string& line : out ) {
	    std::cout << line << '\n';
    }
}
