#include <filesystem>
#include <fstream>
#include <iostream>

int main() {
    namespace fs = std::filesystem;
    fs::create_directories("example/a/b");
    std::ofstream("example/f.txt");
    for (const auto& p :
            fs::recursive_directory_iterator("example")) {
        std::cout << p << "\n";
    }
    fs::remove_all("example");
}
